
markup.push({

	// -------------------------------------------------
	// MARK: RNNoise

	RNNoiseFilterBlock:
	{
		"+": "BlockTemplate",
		gxTitle: "Speech Denoise",
		geNodeClass: "AHRNNoiseNode",
		gxPopoverInfo: "AHRNNoiseNodePopover",
		gxLibraryDescription: "Remove background noise from speech",
		gxIconPainter: "ImagePainter.block.effect.generic",
		gxLibraryIcon: "library.effect.generic",
	},

	// MARK: popover
	
	AHRNNoiseNodePopover:
	{
		"+": "PopoverTemplate",
		gxTitle: "Speech Denoise",
		axTitle: "Speech Denoise",
		gxCanDrawSubviewsIntoLayer: true,
		gxWantsLayer: true,
		gxLayout: [ "H:|-12-[self(284)]-12-|",	// sets popover width
					"V:|-12-[self]-12-|",
					"V:|-41-[group]-16-|"
		],
		gxChildViews:
		{
			title: "PopoverTitle",
			switch: "PopoverOnOffSwitch",
			group: {
				"+": "GroupView",
				gxLayout: [
					"H:|-0-[self]-0-|",
					"H:|-8-[processMono]-8-|",
					"V:|-15-[processMono]-16-|",
				],
				gxChildViews: {
					processMono: {
						"+": "CheckboxTemplate",
						gxTitle: "<checkbox/> Mono Signal Processing",
						gxValueKey: "node.processMono",
						gxDisableOnKey: "running"
					},
				}
			}
		}
	},

	// MARK: presets
})
