
markup.push({

// MARK: - system audio block

SystemAudioBlock:
{
	"+": "SourceTemplate",
	gxTitle: "System Audio",
	gxPopoverTitle: "System Audio",
	geNodeClass: "AHKEchelonSystemAudioNode",
	geInputRank: 1,	
	gxLibraryDescription: "Capture all audio played on the system",
	gxIconPainter: "ImagePainter.block.system.audio",
	gxLibraryIcon: "library.system.audio",
	gxPopoverInfo: "SystemAudioPopover",
},


// MARK: - system audio popover

SystemAudioPopover:
{
	"+": "PopoverTemplate",
	gxTitle: "System Audio",
	gxLayout: [
		"H:|-12-[self(300)]-12-|",
		"V:|-12-[self]-12-|",
	],
	gxCanDrawSubviewsIntoLayer: true,
	gxWantsLayer: true,
	gxChildViews:
	{
		title: "PopoverTitle",
		switch: "PopoverOnOffSwitch",
		group:
		{
			"+": "GroupView.noBottomStroke",
			gxLayout: [
				"H:|-0-[self]-0-|",
				"V:|-41-[self]-18-|",
				
				"H:|-14-[infoIcon(16)]-8-[text]-11-|",
				
				"V:|-18-[text(32)]-0-|",
				"V:|-20-[infoIcon(16)]",
				
			],
			gxChildViews:
			{
				infoIcon: { "+": "InfoIcon" },
				text: {
					"+": "DescriptionLabelView",
					gxDefaultValue: "The System Audio source captures all audio produced by your Mac."
				},
			}
		}
	}
},


})
